LDD(1)

NAME
ldd - print shared library dependencies

SYNOPSIS
ldd [OPTION]... FILE...

DESCRIPTION
ldd prints the shared libraries required by each program or shared library specified on the command line.

OPTIONS

--version
    Print the version number of ldd.

-v --verbose
    Print all information, including e.g. symbol versioning information.

-d --data-relocs
    Perform relocations and report any missing objects (ELF only).

-r --function-relocs
    Perform relocations for both data objects and functions, and report any missing objects or functions (ELF only).

--help
    Usage information.

NOTES
The standard version of ldd comes with glibc2. Libc5 came with an older version, still present on some systems. The long options are not supported by the libc5 version. On the other hand, the glibc2 version does not support -V and only has the equivalent --version.

The libc5 version of this program will use the name of a library given on the command line as-is when it contains a '/'; otherwise it searches for the library in the standard locations. To run it on a shared library in the current directory, prefix the name with "./".

BUGS
ldd does not work on a.out shared libraries.

ldd does not work with some extremely old a.out programs which were built before ldd support was added to the compiler releases. If you use ldd on one of these programs, the program will attempt to run with argc = 0 and the results will be unpredictable.

SEE ALSO
ld.so(8), ldconfig(8)